<?php

namespace App\Models;

class UserCode extends Model
{

    protected $casts = [
        'codes'  => 'array',
        'profit' => 'array',
    ];

    public function rule()
    {
        return $this->hasOne(ActivityRule::class, 'code', 'code');
    }

}
